mscorlib 4.0.0.0 System.Attribute System.AttributeUsage(System.AttributeTargets.Field) System.Diagnostics.Conditional("CONTRACTS_FULL")

When you apply the attribute to a field, that field can be used in the code contracts for a method when the field has less visibility than the method. There must be a visible property that is equivalent to the value of the field. For example, you can use this attribute if the method is public, but the field is private.

Specifies that a field can be used in method contracts when the field has less visibility than the method.

- Constructor
  4.0.0.0

  Initializes a new instance of the class.

  The property name to apply to the field.
- Property
  4.0.0.0
  System.String The name of the public property associated with this field.

  Gets the property name to be applied to the field.